<!-- (C) 2016 Conviva, Inc. All rights reserved. Confidential and proprietary. -->
<!-- Kedar Marsada <kmarsada@conviva.com> -->
  <!DOCTYPE HTML>
  <html>
      <head>
          <meta charset="UTF-8">
          <title>Vision+ :</title>
          <meta http-equiv="x-ua-compatible" content="ie=edge">
          <meta name="viewport" content="width=device-width, initial-scale=1.0" />
          <meta name="google-site-verification" content="MU1SEKOh4hqPEsvAbaq6jq517rVPPMu3oC3gVJGuu7U" />
          <meta name="title" content="Vision+ Movies">
          <meta name="keywords" content="okezone, layar tancap, mncnow, mnc now, sinetron, now, tonton film, ftv, film indonesia, free, ott, broadcast, mnc">
          <meta name="description" content="Nonton ratusan film pilihan dari Indonesia, Hollywood dan Asia. Film lepas, series, sinetron, drakor dan animasi hanya di MNC Now">
          <meta name="author" content="visionplus.id">
          <meta name="viewport" content="initial-scale=1, maximum-scale=1">
          <link rel="shortcut icon" href="img/favicon.ico" type="image/x-icon">
    
          <!-- WEB TAG -->
          <script async src="https://www.googletagmanager.com/gtag/js?id=UA-111351533-1"></script>
          <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());
      
            gtag('config', 'UA-111351533-1');
          </script>
      
          <!-- Global site tag (gtag.js) - Google Analytics -->
          <script async src="https://www.googletagmanager.com/gtag/js?id=UA-111351533-7"></script>
          <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());
      
            gtag('config', 'UA-111351533-7');
          </script>    
      
          <!-- Global site tag (gtag.js) - Google Analytics 3rd-->
          <script async src="https://www.googletagmanager.com/gtag/js?id=UA-154114411-1"></script>
          <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());
      
            gtag('config', 'UA-154114411-1');
          </script>
      
          <!-- Begin comScore Tag -->
          <script>
            var _comscore = _comscore || [];
            _comscore.push({ c1: "2", c2: "9013027" });
            (function() {
              var s = document.createElement("script"), el = document.getElementsByTagName("script")[0]; s.async = true;
              s.src = (document.location.protocol == "https:" ? "https://sb" : "http://b") + ".scorecardresearch.com/beacon.js";
              el.parentNode.insertBefore(s, el);
            })();
          </script>
          <noscript>
            <img src="https://sb.scorecardresearch.com/p?c1=2&c2=9013027&cv=2.0&cj=1" />
          </noscript>
          <!-- End comScore Tag -->
        
          <script type="text/javascript" src="conviva/conviva/conviva-core-sdk.min.js"></script>
          <script type="text/javascript" src="conviva/conviva/conviva-html5native-impl.js"></script>
      </head>
  
  
      <style>
        #playerContainer{
          position: absolute;
          top: 0;
          left: 0;
          width: 100%; 
          height: 100%;
        } 
          #player{
          position: inherit;
          width: 100%;
          height: 100%;
        }
      </style>
  
      <body>
        <iframe src="https://api.okezone.com/ntp" width="1" height="1" style="display:none">  
        </iframe>
        <div id="playerContainer">
          <div id="player"></div>
          <script type="text/javascript" src="conviva/app/configs.js"></script>
          <script type="text/javascript" src="conviva/app/NexHandshake.js"></script>
  
          <script type="text/javascript" src='js/nexplayer/nexplayer.js'> document.addEventListener("player", function (e) {
              e.preventDefault();
          }, false);</script>
  
          <script>
  
          var player = null;
          var videoElem = null;
          var NexConviva = null;
  
          var img = null;
          var title = null;
  
          var self = this;
  
          // var url = 'https://d7wce5shv28x4.cloudfront.net/sample_streams/sintel_subtitles_hls/master.m3u8';
          // url = 'https://media.axprod.net/Temp/Taavi/sintel/Clear/Manifest.mpd';
  
          function getQueryStrings() { 
            var assoc  = {};
            var decode = function (s) { return decodeURIComponent(s.replace(/\+/g, " ")); };
            var queryString = location.search.substring(1); 
            var keyValues = queryString.split('&'); 
  
            for(var i in keyValues) { 
              var key = keyValues[i].split('=');
              if (key.length > 1) {
                assoc[decode(key[0])] = decode(key[1]);
              }
            } 
  
            return assoc;
          }
  
          var qs = getQueryStrings();
          var url1 = qs["url"];
          if (!qs["url"]) { url1 = 'https://media.axprod.net/Temp/Taavi/sintel/Clear/Manifest.mpd';}
        //   url = url.replace("/transmovies/","/transmoviesnon/");        
          // url1 = url1.replace("_vmx/","/");        

          var url2 = qs["url2"];
          if (!qs["url2"]) { url2 = 'https://media.axprod.net/Temp/Taavi/sintel/Clear/Manifest.mpd';}
          // url2 = url2.replace("_vmx/","/");        
          
          // paramVast = qs["vast"] //vast
          // if (!paramVast) { 
          // paramVast = "https://pubads.g.doubleclick.net/gampad/ads?slotname=/124319096/external/ad_rule_samples&sz=640x480&ciu_szs=300x250&cust_params=deployment%3Ddevsite%26sample_ar%3Dpreonly&url=https://developers.google.com/interactive-media-ads/docs/sdks/html5/tags&unviewed_position_start=1&output=xml_vast3&impl=s&env=vp&gdfp_req=1&ad_rule=0&vad_type=linear&vpos=preroll&pod=1&ppos=1&lip=true&min_ad_duration=0&max_ad_duration=30000&vrid=5776&video_doc_id=short_onecue&cmsid=496&kfa=0&tfcd=0";
          // paramVast = "https://pubads.g.doubleclick.net/gampad/ads?iu=/7108725/NowVastPre&description_url=http%3A%2F%2Fvisionplus.id&tfcd=0&npa=0&sz=400x300%7C640x380%7C640x480&gdfp_req=1&output=vast&unviewed_position_start=1&env=vp&impl=s&correlator=";

          //Linear tag            
          // paramVast = "https://pubads.g.doubleclick.net/gampad/ads?iu=/7108725/NowVastPre&description_url=[placeholder]&env=vp&impl=s&correlator=&tfcd=0&npa=0&gdfp_req=1&output=vast&sz=400x300|640x480&unviewed_position_start=1&adurl=https://asia.adform.net/serving/videoad/?bn=34370503&v=4&ord=343&cust_params=2-122-426";
          // paramVast = "https://pubads.g.doubleclick.net/gampad/ads?iu=/7108725/NowVastPre&description_url=https%3A%2F%2Fvisionplus.okezone.com%2F&tfcd=0&npa=0&sz=400x300%7C640x380%7C640x480&gdfp_req=1&output=vast&unviewed_position_start=1&env=vp&impl=s&correlator=FVWRVTJCJY";
          paramVast = "https://pubads.g.doubleclick.net/gampad/ads?iu=/7108725/OKEVPLUSVastPre&description_url=https%3A%2F%2Fvisionplus.okezone.com%2F&tfcd=0&npa=0&sz=400x300%7C640x380%7C640x480&gdfp_req=1&output=vast&unviewed_position_start=1&env=vp&correlator=[placeholder]&vpmute=0&vpa=0&url=https%3A%2F%2Fvisionplus.okezone.com%2F&vpos=preroll";

          // }

          var img = qs["img"];
          if (!img) { img = null;}
          var assetName = qs["assetName"];
          if (!assetName) { assetName = 'Vision+ Video';}
          var viewerId = qs["viewerId"];
          if (!viewerId) { viewerId = '0';}
          var title = assetName;
  
          var CONTENT_TYPE = qs["CONTENT_TYPE"]
          if (!CONTENT_TYPE) 
              {CONTENT_TYPE  = 'CHANNEL_LIVE';}
          else if (CONTENT_TYPE == 'Channel')
              {CONTENT_TYPE  = 'CHANNEL_LIVE';}
          else if (CONTENT_TYPE == 'Series')
              {CONTENT_TYPE  = 'VOD_SERIES';}
          else if (CONTENT_TYPE == 'Movies')
              {CONTENT_TYPE  = 'VOD_MOVIE';}
  
          var CONTENT_DRM_STATUS = qs["CONTENT_DRM_STATUS"]
          if (!CONTENT_DRM_STATUS) { CONTENT_DRM_STATUS   = 'False';}
          var CONTENT_DRM_TYPE = qs["CONTENT_DRM_TYPE"]
          if (!CONTENT_DRM_TYPE) { CONTENT_DRM_TYPE    = 'NO_DRM';}
          var PLATFORM = qs["PLATFORM"]
          if (!PLATFORM) { CONTENT_DRM_TYPE    = 'OKEZONE';}
          var CATEGORY = qs["CATEGORY"]
          if (!CATEGORY) {CATEGORY = '';}
          var SUBCATEGORY = qs["SUBCATEGORY"]
          if (!SUBCATEGORY) {SUBCATEGORY = '';}
          
          // Init Conviva, create session...
          var loadModules = function() {
  
              NexConviva = new NexHandshake(videoElem, url, player.isLive(), true, assetName, viewerId);
              NexConviva.initConvivaClient();            
              NexConviva.createContentSession();
  
              // Get initial bitrate
              //console.log("Initial track", player.getCurrentTrack().bitrate / 1000); // "bitrate" property is in bits per seconds
              NexConviva.updateBitrateData(player.getCurrentTrack().bitrate / 1000);
  
  
              // Use this in order to update the bitrate data everytime a track changes
              player.on(nexplayer.Player.NexEvent.Track_Change, function() {
  
                //console.log("Change track", player.getCurrentTrack().bitrate / 1000); 
                // "bitrate" property is in bits per seconds
                NexConviva.updateBitrateData(player.getCurrentTrack().bitrate / 1000);
  
              });
           
              //custom tag
              NexConviva.createCustomTag("CONTENT_TYPE", CONTENT_TYPE, true);
              NexConviva.createCustomTag("CONTENT_DRM_STATUS", CONTENT_DRM_STATUS, true);
              NexConviva.createCustomTag("CONTENT_DRM_TYPE", CONTENT_DRM_TYPE, true);
              NexConviva.createCustomTag("CATEGORY", CATEGORY, true);
              NexConviva.createCustomTag("SUBCATEGORY", SUBCATEGORY, true);
              // It is neccessary to call this method to update the metadata on Conviva side
              NexConviva.updateContentMetadata();
          }
 

        var FairPlay = 0;
        var isSafari = /constructor/i.test(window.HTMLElement) || (function (p) { return p.toString() === "[object SafariRemoteNotification]"; })(!window['safari'] || (typeof safari !== 'undefined' && safari.pushNotification));
        var isChrome = !!window.chrome;
        var isFirefox = typeof InstallTrigger !== 'undefined';

        console.log("isChrome :" + isChrome);
        console.log("isFirefox :" + isFirefox);
        console.log("isSafari :" + isSafari);
        
        if (isSafari) {
            // alert("Safari");
            FairPlay = 1;
        }else if (isFirefox) {
            // alert("Firefox");
            FairPlay = 0;
            if(screen.width < 500 ||
                navigator.userAgent.match(/Android/i) ||
                navigator.userAgent.match(/webOS/i) ||
                navigator.userAgent.match(/iPhone/i) ||
                navigator.userAgent.match(/iPod/i)) {
                FairPlay = 2; // mobile browser non chrome
            }
        }else if (isChrome) {
            // alert("Chrome");
            FairPlay = 0;
            // alert("If not playing, please use Firefox browser until problem is solved.");
        }else{
            if (
                (navigator.platform == "MacIntel") 
                || (navigator.platform == "MacPPC")
                || (navigator.platform == "iPhone")
                || (navigator.platform == "iPad")
                ){
                
                FairPlay = 1;
            } else {
                // alert("Browser not supported. Please use Safari, Firefox or Chrome.")
                FairPlay = 2;
            }
        }
        console.log("isclean :" + url1.includes("_vmx/"));
        if (!url1.includes("_vmx/")){
            FairPlay = 2;
        }
        
        // FairPlay = 2
        if (FairPlay == 2) {
            console.log("C");
            var callBackWithPlayers = function (nexplayerInstance, videoElement) {
                player = nexplayerInstance;
                videoElem = videoElement;
                setTimeout(() => {
                    player.setCurrentTrack(0); //0 is always the lowest quality profile
                }, 1000);
                player.enableABR();
            }
            url = url2;
            // console.log('url:' + url);
            if (isChrome || isFirefox || isSafari) {
                console.log("CSB");
                nexplayer.Setup({
        
                    key: '5c1cad9120bbb10718187352',
                    div: document.getElementById('player'),
                    callbacksForPlayer: callBackWithPlayers,  
                    src: url,
                    poster: img,
                    name: 'Vision+ : ' . concat(title), // Optional
                    autoplay: true, // Optional
                    mutedAtStart: true, // Optional
                    disableKeyEvents: true,
                    vast: paramVast, //Optional
                    // cast: {}, //Optional,
                    // debug: true// Optional
                
                });
            }else{
                console.log("CNSB");
                nexplayer.Setup({
        
                    key: '5c1cad9120bbb10718187352',
                    div: document.getElementById('player'),
                    callbacksForPlayer: callBackWithPlayers,  
                    src: url,
                    poster: img,
                    name: 'Vision+ : ' . concat(title), // Optional
                    autoplay: true, // Optional
                    mutedAtStart: true, // Optional
                    disableKeyEvents: true,
                    vast: paramVast, //Optional
                    // debug: true// Optional
                });
            }
        }
        else
        {

              // // console.log('isSafari:' + isSafari);
              // console.log('appCodeName:' + navigator.appCodeName);
              // console.log('appName:' + navigator.appName);
              // console.log("platform: " + navigator.platform);


              if (FairPlay == 1)
              {
                  url = url2;

                  console.log('status: FP');
                  function base64EncodeUint8Array(input) {
                      var keyStr = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";
                      var output = "";
                      var chr1, chr2, chr3, enc1, enc2, enc3, enc4;
                      var i = 0;

                      while (i < input.length) {
                          chr1 = input[i++];
                          chr2 = i < input.length ? input[i++] : Number.NaN; // Not sure if the index
                          chr3 = i < input.length ? input[i++] : Number.NaN; // checks are needed here

                          enc1 = chr1 >> 2;
                          enc2 = ((chr1 & 3) << 4) | (chr2 >> 4);
                          enc3 = ((chr2 & 15) << 2) | (chr3 >> 6);
                          enc4 = chr3 & 63;

                          if (isNaN(chr2)) {
                                  enc3 = enc4 = 64;
                              } else if (isNaN(chr3)) {
                                  enc4 = 64;
                              }
                              output += keyStr.charAt(enc1) + keyStr.charAt(enc2) +
                                  keyStr.charAt(enc3) + keyStr.charAt(enc4);
                          }
                      return output;
                  }


                  // Request the license at the NexPlayer callback
                  function licenseRequestReady (event) {
                      var session = event.target;
                      var message = event.message;
                      var request = new XMLHttpRequest();
                      var sessionId = event.sessionId;
                      request.responseType = 'text';
                      request.session = session;
                      request.addEventListener('load', player.FairPlayNexLicenseRequestLoaded.bind(player), false);
                      request.addEventListener('error', player.FairPlayNexLicenseRequestFailed.bind(player), false);

                      var params = 'spc=' + encodeURIComponent(base64EncodeUint8Array(message));
                      console.log(params)
                      request.open('POST', 'https://fpsa.ptmnc01.verspective.net:443/fpsa/v1.0/?deviceId=NjExZWU4OTctOTdiZS0zOTQ0LWE3Y2UtYTIxZWVmODBlNjEz', true); // serverProcessSPCPath
                      request.setRequestHeader("Content-type", "application/x-www-form-urlencoded");

                      request.send(params);
                  }
                  
                  var callBackWithPlayers = function (nexplayerInstance, videoElement) {
                      player = nexplayerInstance;
                  }

                  var nexDRMInformationFairPlay = {NexDRMType:'com.apple.fps.1_0', NexDRMKey: '../fairplay-cnm.cer', NexCallback: licenseRequestReady};

                  nexplayer.Setup({
                      key: '5c1cad9120bbb10718187352',
                      div: document.getElementById('player'),
                      callbacksForPlayer: callBackWithPlayers,  
                      src: url,
                      poster: img,      
                      name: 'Vision+ : ' . concat(title), // Optional
                      autoplay: true, // Optional
                      mutedAtStart: true, // Optional
                      disableKeyEvents: true,
                      drm: [nexDRMInformationFairPlay],
                      vast: paramVast, //Optional
                      cast: {}, //Optional,
                      // debug: true// Optional

                  });
              }
              else
              {
                  // console.log('isWidevine: True');
                  console.log('status: WV');

                  var callBackWithPlayers = function (nexplayerInstance, videoElement) {
  
                        console.log("Callback!");

                        player = nexplayerInstance;
                        videoElem = videoElement;

                        videoElem.addEventListener("loadeddata", function() {
                          
                          //console.log("loaded data");

                          // loadModules();   //conviva not loaded in production

                        });

                        // setTimeout(() => {
                        //       player.setCurrentTrack(0); //0 is always the lowest quality profile
                        //   }, 1000);
                        player.enableABR();

                      }

                  var k="https://mrpw.ptmnc01.verspective.net:443?deviceId=YWY0OTBlZjEtODAyNC0zZTA0LWFhYzMtY2ZmMGE4NjVjZjU1";
                  url = url1;

                  nexplayer.Setup({
            
                      key: '5c1cad9120bbb10718187352',
                      div: document.getElementById('player'),
                      callbacksForPlayer: callBackWithPlayers,
                      src: url,
                      poster: img,      
                      name: 'Vision+ : ' . concat(title), // Optional
                      autoplay: true, // Optional
                      mutedAtStart: true, // Optional
                      disableKeyEvents: true,
                      drm: [{NexDRMType: 'com.widevine.alpha', 
                            NexDRMKey: k
                        }],
                      vast: paramVast, //Optional
                      cast: {}, //Optional,
                      // debug: true// Optional
                  
                  });
                  
              }
        }

              var vidsrc = url.split('\/');
              var title = vidsrc;
              document.title='Vision+ : '. concat(title);
          
            </script>
          </div>
      </body>
  </html>
  